﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using MyVod.Infrastructure;

#nullable disable

namespace MyVod.Migrations.NewMovieDb
{
    [DbContext(typeof(NewMovieDbContext))]
    [Migration("20220612141458_RegionalIdentifier")]
    partial class RegionalIdentifier
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder.HasAnnotation("ProductVersion", "6.0.5");

            modelBuilder.Entity("MyVod.Domain.MoviesCatalog.Domain.Director", b =>
                {
                    b.Property<Guid>("Id")
                        .HasColumnType("TEXT");

                    b.Property<string>("FirstName")
                        .IsRequired()
                        .HasColumnType("TEXT");

                    b.Property<string>("LastName")
                        .IsRequired()
                        .HasColumnType("TEXT");

                    b.HasKey("Id");

                    b.ToTable("Persons", (string)null);
                });

            modelBuilder.Entity("MyVod.Domain.MoviesCatalog.Domain.Movie", b =>
                {
                    b.Property<Guid>("Id")
                        .HasColumnType("TEXT");

                    b.Property<string>("Cover")
                        .IsRequired()
                        .HasColumnType("TEXT");

                    b.Property<Guid>("DirectorId")
                        .HasColumnType("TEXT");

                    b.Property<int>("Status")
                        .HasColumnType("INTEGER");

                    b.Property<string>("Trailer")
                        .IsRequired()
                        .HasColumnType("TEXT");

                    b.HasKey("Id");

                    b.HasIndex("DirectorId");

                    b.ToTable("Movies", (string)null);
                });

            modelBuilder.Entity("MyVod.Domain.MoviesCatalog.Domain.Movie", b =>
                {
                    b.HasOne("MyVod.Domain.MoviesCatalog.Domain.Director", "Director")
                        .WithMany()
                        .HasForeignKey("DirectorId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.OwnsOne("MyVod.Domain.MoviesCatalog.Domain.Description", "Description", b1 =>
                        {
                            b1.Property<Guid>("MovieId")
                                .HasColumnType("TEXT");

                            b1.Property<string>("Value")
                                .IsRequired()
                                .HasColumnType("TEXT")
                                .HasColumnName("Description");

                            b1.HasKey("MovieId");

                            b1.ToTable("Movies");

                            b1.WithOwner()
                                .HasForeignKey("MovieId");
                        });

                    b.OwnsOne("MyVod.Domain.MoviesCatalog.Domain.MetaData", "MetaData", b1 =>
                        {
                            b1.Property<Guid>("MovieId")
                                .HasColumnType("TEXT");

                            b1.Property<string>("Origin")
                                .IsRequired()
                                .HasColumnType("TEXT")
                                .HasColumnName("Origin");

                            b1.Property<DateTime?>("ReleasedAt")
                                .HasColumnType("TEXT")
                                .HasColumnName("ReleasedAt");

                            b1.HasKey("MovieId");

                            b1.ToTable("Movies");

                            b1.WithOwner()
                                .HasForeignKey("MovieId");
                        });

                    b.OwnsOne("MyVod.Domain.MoviesCatalog.Domain.Title", "Title", b1 =>
                        {
                            b1.Property<Guid>("MovieId")
                                .HasColumnType("TEXT");

                            b1.Property<string>("English")
                                .IsRequired()
                                .HasColumnType("TEXT")
                                .HasColumnName("EnglishTitle");

                            b1.Property<string>("Original")
                                .IsRequired()
                                .HasColumnType("TEXT")
                                .HasColumnName("Title");

                            b1.HasKey("MovieId");

                            b1.ToTable("Movies");

                            b1.WithOwner()
                                .HasForeignKey("MovieId");
                        });

                    b.OwnsOne("MyVod.Domain.SharedKernel.RegionIdentifier", "RegionIdentifier", b1 =>
                        {
                            b1.Property<Guid>("MovieId")
                                .HasColumnType("TEXT");

                            b1.Property<ushort>("Value")
                                .ValueGeneratedOnAdd()
                                .HasColumnType("INTEGER")
                                .HasDefaultValue((ushort)616)
                                .HasColumnName("Region");

                            b1.HasKey("MovieId");

                            b1.ToTable("Movies");

                            b1.WithOwner()
                                .HasForeignKey("MovieId");
                        });

                    b.Navigation("Description")
                        .IsRequired();

                    b.Navigation("Director");

                    b.Navigation("MetaData")
                        .IsRequired();

                    b.Navigation("RegionIdentifier")
                        .IsRequired();

                    b.Navigation("Title")
                        .IsRequired();
                });
#pragma warning restore 612, 618
        }
    }
}
